Bug 1710115 - Nextcloud seems to be unmaintained and should be removed
Summary: Nextcloud seems to be unmaintained and should be removed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1712189 1722246 1799686 1823110 (view as bug list)
Depends On: 1449186 1561972 1600682 1619893 1619896 1619974 1646669 1646673 1646676 1646680 1646684 1712189 1722246
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-05-14 21:59 UTC by Daniel Laczi
Modified: 2020-11-24 20:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:00:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Laczi 2019-05-14 21:59:01 UTC
Nextcloud 10 isn't supported anymore upstream and seems to be unmaintained in Fedora. An upgrade path from version 10 to an upstream supported version isn't supported without skipping major versions and complex. Therefore Nextcloud should be removed completely from Fedora.

More information on the package progress: https://bugzilla.redhat.com/show_bug.cgi?id=1433919

Comment 1 Ben Cotton 2019-08-13 16:55:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:19:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-11-18 00:08:52 UTC
Ivan, what is your current plan with nextcloud?

Comment 4 Miro Hrončok 2019-11-25 09:38:28 UTC
Ivan?

Comment 5 Christian Glombek 2019-12-25 01:40:36 UTC
IMO the nextcloud package should now be removed until somebody re-adds it.

Comment 6 Olivier LAHAYE 2020-01-17 17:15:55 UTC
Based on work of https://copr.fedorainfracloud.org/coprs/scren/nextcloud/builds/
I've been able to build a v17.0.2 rpm easily
The source rpm is available here: http://olivier.lahaye1.free.fr/SRPMS/nextcloud-17.0.2-1.el7.src.rpm
It builds fine using remi and remi-php73 and EPEL repositories on CentOS-7.7 so I assume it should build easily on fedora.

Comment 7 Olivier LAHAYE 2020-01-17 17:17:45 UTC
See also my last message here: https://forum.remirepo.net/viewtopic.php?pid=10993#p10993
You can't upgrade v10.0.4 rpm with v17, so I assume that the v11 to v16 database upgrade process should be included with a script that would check what upgrade needs to be done. Alas, I'm not skilled enough for that.

Comment 8 Olivier LAHAYE 2020-01-21 13:59:46 UTC
There is also a nextcloud ticket about adding the ability to upgrade between multiple major releases:
https://github.com/nextcloud/server/issues/2270

Comment 9 Christian Glombek 2020-01-22 05:30:47 UTC
The linked issue hasn't seen updates in almost 3 years. I don't think it is feasible to migrate any existing v10 instances to $current at this stage.

The package should be deprecated and removed from Fedora repos. After that $current can go through review again and be re-added without worrying about supporting upgrades from v10.

Comment 10 Ivan Chavero 2020-02-08 20:28:10 UTC
I took ownership of the nextcloud package, i made a major refactor to the spec file and updated it to the current version (18.0.0).
The package has now been uploaded and built successfully [1].





[1] https://koji.fedoraproject.org/koji/packageinfo?packageID=23789

Comment 11 Ivan Chavero 2020-02-08 20:29:31 UTC
*** Bug 1712189 has been marked as a duplicate of this bug. ***

Comment 12 Ivan Chavero 2020-02-08 20:30:34 UTC
*** Bug 1722246 has been marked as a duplicate of this bug. ***

Comment 13 Ivan Chavero 2020-02-08 20:32:26 UTC
*** Bug 1799686 has been marked as a duplicate of this bug. ***

Comment 14 Christopher Engelhard 2020-10-11 10:48:05 UTC
*** Bug 1823110 has been marked as a duplicate of this bug. ***

Comment 15 Christopher Engelhard 2020-10-11 10:59:40 UTC
Versions 18+ of nextcloud are in F32-rawhide. I won't update the F31 package, on the off-chance that any F31 user has the v10 installed & since there is no good way of updating v10 -> v18+.

Those user will probably still get a seriously messed up installation when they upgrade from F31 to F32. Is there any good way to circumvent that?

Comment 16 Petr Viktorin 2020-10-12 07:24:10 UTC
Refuse o start if the old installation is detected?

Comment 17 Christopher Engelhard 2020-10-26 08:29:06 UTC
Possibly. The only real issue will likely be changes in the database that the nc updater can't cope with.

Comment 18 Ben Cotton 2020-11-03 16:52:14 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2020-11-24 20:00:31 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.